/*
 * Copyright 2023 - 2025 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#include <keel/module.hpp>

#include <jasper/core/bootfile.hpp>

namespace jasper::core {

static class: public keel::Module {
	private:

	public:
		[[nodiscard]]
		ox::String id() const noexcept override {
			return ox::String("net.drinkingtea.jasper.core");
		}

		[[nodiscard]]
		ox::Vector<keel::TypeDescGenerator> types() const noexcept override {
			return {
				 keel::generateTypeDesc<Bootfile>,
			};
		}

		[[nodiscard]]
		ox::Vector<keel::Converter> converters() const noexcept override {
			return {
			};
		}

		[[nodiscard]]
		ox::Vector<keel::PackTransform> packTransforms() const noexcept override {
			return {
			};
		}

} mod;

keel::Module const*keelModule() noexcept {
	return &mod;
}

}
